# PetscScalarView

Prints an array of scalars; useful for debugging.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscScalarView(PetscInt N,PetscScalar idx[],PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| N | - number of scalars in array
| idx | - array of scalars
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0

### See Also

PetscIntView(), PetscRealView()

Level:intermediate
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages